import eLockinRemote

lockin = eLockinRemote

# login on elockin
lockin.login()

#############################


# Set Uac
lockin.setUac(0.1)


# Set frequency
lockin.setFrequency(2000)


#LIA data from /data/lia.dat
mydata = lockin.getDataLIA()


# Set input range
# 1=low noise 10=normal 100=high
lockin.setInputRange(10)


# coupling type
# 0=dc 1=ac 2=dc50R 3=ac50R
lockin.setCouplingType(1)


# time constant
# f.e. 0=0.1ms 3=1ms 6=10ms
lockin.setTimeConst(7)


# Sync Filter settings
# 1-200     1=1/f   50=50/f ...
lockin.setSyncFilterSettings(10)


# Roll-Off
# 6, 12 or 24 dB/oct
lockin.setRollOff(6)


# Input-Config
# 0=A 1=A-B 2=A&B
lockin.setInputConfig(0)


# Set Offset Phase LIA1
# -180 .. 180
lockin.setOffsetPhaseLIA1(120)


# Set Offset Phase LIA2
# -180 .. 180
lockin.setOffsetPhaseLIA2(-44)


# set Harmonic
# value 1-15
lockin.setHarmonic(10)


# Set Reference Input Coupling
# 0=RefIn=OFF 1=RefIn=ON 2=LoLactive(if implemented)
lockin.setReferenceInputCoupling(0)


# channel, index 
# CH0,1,2,3
# index 1=X 2=Y 3=R 4=Phi 5=Uac 6=f 7=In 8=AD1 .. 15=AD8 ...
lockin.selectDisplayChannel(1, 6)


# select Display Range???
lockin.selectDisplayRange(1, 100)


# Set Output voltages at analoague outputs DA5 to DA8
# DA5-8 = 4,5,6,7 DA Channel
# 2nd arg Voltage -10 to 10V
lockin.setOutputVoltages(5, 0.036)


# start/stop Spectra
# toggle this button
#lockin.runSpectra()


# get SpectraData from /data/spectra.dat
#lockin.getDataSpectra()


# Select Axis for Spectrum Display
# 0=f 1..4=Ch1..4 5=Ref
lockin.selectAxisSpectra(3)


# Switch between linear/log. spectrum Acquisition
# 0 = linear 1=log
lockin.logarithmicSpectra(1)


# Change Color of displayed Spectra Data
# Channel1-4
# 1=white 2=yellow 3=blue 4=Green 5=red 6=cyan 7=magenta
# 8=gray 9=brown 10-15=white
# Channel, Color
lockin.changeSpectraColor(1, 7)


# Display Spectra with a vertical Offset to each other
# -240 .. 240
# setVerticalOffsetSpectra(channel, Offset)
lockin.setVerticalOffsetSpectra(3,133)


# Set Parameters for Spectrum Acquisition (S. 19)
# setSpectraPara(TT, F1, F2, PP, DD)
# TT-> 0=single 1=conti. 2=integ. ; F1->amonnt of data points
# DD-> delay time per data point; F1+F2->Start/Stop freq.
lockin.setSpectraPara(0,10000,100000,0,2)

 
# Set Display Settings for Oscilloscope S. 21-23
# Channel 0=timechannel 1-4 Display channel
# setOsciDisplaySettings(CH, Scale, Color, Offset)
lockin.setOsciDisplaySettings(2,4,4,4)

